> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a receivable's history record by ID

> Returns a single record from the change history of the specified accounts receivable document.



## OpenAPI

````yaml /.tooling/schemas/rest/tags/product-finops.json get /finops/v1/receivables/{receivable_id}/history/{receivable_history_id}
openapi: 3.1.0
info:
  title: Tesouro Partner API
  version: '2025-06-23'
  description: The Tesouro REST API, for Tesouro partners to integrate with our solution.
  termsOfService: https://tesouro.com/terms
  contact:
    name: Tesouro team
    url: https://tesouro.com/about/
    email: developers@tesouro.com
servers:
  - url: https://api.sandbox.tesouro.com
    description: Sandbox
security: []
tags:
  - name: Accounting connections
  - name: Accounting data pull
  - name: Accounting synchronized records
  - name: Accounting tax rates
  - name: Analytics
  - name: Approval policies
  - name: Approval requests
  - name: Bank details
  - name: Comments
  - name: Cost centers
  - name: Counterpart VAT IDs
  - name: Counterpart addresses
  - name: Counterpart bank accounts
  - name: Counterpart contacts
  - name: Counterparts
  - name: Credit notes
  - name: Custom tax rates
  - name: Delivery notes
  - name: Documents
  - name: Entities
  - name: Entity users
  - name: Events
  - name: Files
  - name: Identity
  - name: Ledger accounts
  - name: Mail templates
  - name: Mailbox domains
  - name: Mailboxes
  - name: Measure units
  - name: OCR
  - name: Overdue reminders
  - name: PDF templates
  - name: Payable line items
  - name: Payables
  - name: Payment intents
  - name: Payment links
  - name: Payment methods
  - name: Payment records
  - name: Payment reminders
  - name: Payment terms
  - name: Products
  - name: Projects
  - name: Purchase orders
  - name: Receipts
  - name: Receivables
  - name: Recurrences
  - name: Tags
  - name: Text templates
  - name: Transactions
  - name: VAT rates
  - name: Webhook deliveries
  - name: Webhook subscriptions
paths:
  /finops/v1/receivables/{receivable_id}/history/{receivable_history_id}:
    get:
      tags:
        - Receivables
      summary: Get a receivable's history record by ID
      description: >-
        Returns a single record from the change history of the specified
        accounts receivable document.
      operationId: get_receivables_id_history_id
      parameters:
        - required: true
          schema:
            type: string
            format: date
          example: '2025-06-23'
          name: x-finops-version
          in: header
        - description: >-
            ID of the history record to return. You can get these IDs from `GET
            /receivables/{receivable_id}/history`.
          required: true
          schema:
            type: string
            format: uuid
          name: receivable_history_id
          in: path
        - description: >-
            ID of the accounts receivable document whose history you want to
            get.
          required: true
          schema:
            type: string
            format: uuid
          name: receivable_id
          in: path
        - description: The ID of the entity that owns the requested resource.
          required: true
          schema:
            type: string
            format: uuid
            examples:
              - 9d2b4c8f-2087-4738-ba91-7359683c49a4
          name: x-organization-id
          in: header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReceivableHistoryResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '405':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    ReceivableHistoryResponse:
      properties:
        id:
          type: string
          format: uuid
          description: A unique ID of the history record.
          examples:
            - cd58435b-1c79-4b17-9f79-f898c93e5f97
        current_pdf_url:
          type: string
          maxLength: 65536
          minLength: 1
          format: uri
          description: >-
            A URL of the PDF file that shows the document state after the
            change. Available only for the following event types:
            `receivable_created`, `receivable_updated`, `status_changed`, and
            `payment_received`. In other event types the `current_pdf_url` value
            is `null`.


            In `payment_received` events, the `current_pdf_url` value is
            available only in case of full payments and only if the entity
            setting `generate_paid_invoice_pdf` is `true`.


            Note that Monite generates PDFs asynchronously. This means that the
            initial value of `current_pdf_url` for the abovementioned events
            right after they occurred is usually `null` and the value gets
            populated later after the PDF document has been generated.
          examples:
            - https://monite-file-saver.example.com/12345/67890.pdf
        entity_user_id:
          type: string
          format: uuid
          description: >-
            ID of the entity user who made the change or trigger the event, or
            `null` if it was done by using a partner access token.
          examples:
            - d5a577b0-01c0-4566-ac5c-44f41935e8c4
        event_data:
          anyOf:
            - $ref: '#/components/schemas/StatusChangedEventData'
            - $ref: '#/components/schemas/ReceivableUpdatedEventData'
            - $ref: '#/components/schemas/ReceivableCreatedEventData'
            - $ref: '#/components/schemas/BasedOnReceivableCreatedEventData'
            - $ref: '#/components/schemas/PaymentReceivedEventData'
            - $ref: '#/components/schemas/MailSentEventData'
            - $ref: '#/components/schemas/ReminderMailSentEventData'
          description: >-
            An object containing additional information about the event or
            change. The object structure varies based on the `event_type`. In
            `receivable_created` and `receivable_updated` events, `event_data`
            is an empty object `{}`.
        event_type:
          allOf:
            - $ref: '#/components/schemas/ReceivableHistoryEventTypeEnum'
          description: >-
            The type of the event or change. See [Event
            types](https://docs.monite.com/accounts-receivable/document-history#event-types).
        receivable_id:
          type: string
          format: uuid
          description: >-
            ID of the receivable document that was changed or triggered an
            event.
          examples:
            - f669a8a4-0563-4ab9-b54f-e9d700d282c5
        timestamp:
          type: string
          format: date-time
          description: UTC date and time when the event or change occurred.
      type: object
      required:
        - id
        - event_data
        - event_type
        - receivable_id
        - timestamp
      description: >-
        Represents an entry in the change history of an accounts receivable
        document.
    ErrorSchemaResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorSchema'
      type: object
      required:
        - error
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    StatusChangedEventData:
      properties:
        approval_policy_id:
          type: string
        approval_policy_name:
          type: string
        approval_policy_process_id:
          type: string
        approval_request_id:
          type: string
        approval_source:
          type: string
          description: >-
            How the decision was made: 'policy' when driven by an approval
            policy, otherwise 'force'.
        new_status:
          allOf:
            - $ref: '#/components/schemas/ExpenseStatusEnum'
          description: The expense status after the transition.
        old_status:
          allOf:
            - $ref: '#/components/schemas/ExpenseStatusEnum'
          description: The expense status before the transition. Null for migrated rows.
        reject_reason:
          type: string
          description: Reason for rejection, if applicable.
      type: object
      required:
        - new_status
    ReceivableUpdatedEventData:
      properties: {}
      additionalProperties: false
      type: object
    ReceivableCreatedEventData:
      properties: {}
      additionalProperties: false
      type: object
    BasedOnReceivableCreatedEventData:
      properties:
        receivable_id:
          type: string
          format: uuid
          description: The ID of the newly created receivable document.
          examples:
            - 1531cf6e-52f5-4203-acb2-7cc3a37660c6
        type:
          allOf:
            - $ref: '#/components/schemas/ReceivableType'
          description: >-
            The type of the receivable document that was created based on the
            current document.
      additionalProperties: false
      type: object
      required:
        - receivable_id
        - type
      description: >-
        In invoice history, this object contains information about a credit note
        created for this invoice.

        In quote history, it contains information about an invoice created from
        this quote.
    PaymentReceivedEventData:
      properties:
        amount_due:
          type: integer
          description: >-
            The remaining amount due of the invoice, in [minor
            units](https://docs.monite.com/references/currencies#minor-units) of
            the currency. For example, $12.5 is represented as 1250.
          examples:
            - 0
        amount_paid:
          type: integer
          description: The payment amount, in minor units of the currency.
          examples:
            - 1250
        comment:
          type: string
          description: >-
            A user-defined comment about this payment, or `null` if no comment
            was provided. Comments are available only for payments recorded via
            `POST /receivables/{receivable_id}/mark_as_paid` and `POST
            /receivables/{receivable_id}/mark_as_partially_paid`.
      additionalProperties: false
      type: object
      required:
        - amount_due
        - amount_paid
      description: Contains information about a payment received for an invoice.
    MailSentEventData:
      properties:
        mail_id:
          type: string
          format: uuid
          description: >-
            ID of the email sending operation. Can be used to get the email
            sending status from `GET
            /receivables/{receivable_id}/mails/{mail_id}`.
          examples:
            - d6185c8d-527c-4586-84c9-95881e7ba19f
        mail_status:
          allOf:
            - $ref: '#/components/schemas/ReceivableMailStatusEnum'
          description: The overall email sending status across all recipients.
        recipients:
          allOf:
            - $ref: '#/components/schemas/ReceivableMailRecipients'
          description: >-
            Contains a list of email recipients (To, CC, BCC) and the email
            sending status for each recipient.
      additionalProperties: false
      type: object
      required:
        - mail_id
        - mail_status
        - recipients
      description: Contains information about a sent email.
    ReminderMailSentEventData:
      properties:
        mail_id:
          type: string
          format: uuid
          description: >-
            ID of the email sending operation. Can be used to get the email
            sending status from `GET
            /receivables/{receivable_id}/mails/{mail_id}`.
          examples:
            - d6185c8d-527c-4586-84c9-95881e7ba19f
        mail_status:
          allOf:
            - $ref: '#/components/schemas/ReceivableMailStatusEnum'
          description: The overall email sending status across all recipients.
        recipients:
          allOf:
            - $ref: '#/components/schemas/ReceivableMailRecipients'
          description: >-
            Contains a list of email recipients (To, CC, BCC) and the email
            sending status for each recipient.
        term:
          allOf:
            - $ref: '#/components/schemas/ReminderTypeEnum'
          description: >-
            Invoice reminder type:


            * `term_1` - [payment
            reminder](https://docs.monite.com/accounts-receivable/invoices/payment-reminders)
            sent before discount date 1,

            * `term_2` - payment reminder sent before discount date 2,

            * `term_final` - payment reminder sent before the invoice due date.

            * `overdue` - [overdue
            reminder](https://docs.monite.com/accounts-receivable/invoices/overdue-reminders)
            sent after the due date.
      additionalProperties: false
      type: object
      required:
        - mail_id
        - mail_status
        - recipients
        - term
      description: Contains information about an invoice reminder sent via email.
    ReceivableHistoryEventTypeEnum:
      type: string
      enum:
        - status_changed
        - receivable_created
        - receivable_updated
        - based_on_receivable_created
        - payment_received
        - mail_sent
        - payment_reminder_mail_sent
        - overdue_reminder_mail_sent
    ErrorSchema:
      properties:
        message:
          type: string
      type: object
      required:
        - message
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
      type: object
      required:
        - loc
        - msg
        - type
    ExpenseStatusEnum:
      type: string
      enum:
        - new
        - approve_in_progress
        - approved
        - rejected
        - canceled
    ReceivableType:
      type: string
      enum:
        - quote
        - invoice
        - credit_note
    ReceivableMailStatusEnum:
      type: string
      enum:
        - pending
        - processing
        - sent
        - partially_sent
        - failed
    ReceivableMailRecipients:
      properties:
        bcc:
          items:
            $ref: '#/components/schemas/ReceivableMailRecipientState'
          type: array
        cc:
          items:
            $ref: '#/components/schemas/ReceivableMailRecipientState'
          type: array
        to:
          items:
            $ref: '#/components/schemas/ReceivableMailRecipientState'
          type: array
      additionalProperties: false
      type: object
    ReminderTypeEnum:
      type: string
      enum:
        - term_1
        - term_2
        - term_final
        - overdue
    ReceivableMailRecipientState:
      properties:
        email:
          type: string
          format: email
          description: An email address of the recipient.
        error:
          type: string
          description: An error message in case the mailing was unsuccessful.
        is_success:
          type: boolean
          description: Whether mail was sent successfully.
      additionalProperties: false
      type: object
      required:
        - email
        - is_success
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````